# Class CIM_TapePartition
extends CIM_MediaPartition

Capabilities and management of a TapePartition StorageExtent. Note that if a PhysicalTape is not partitioned, only a generic StorageExtent that represents the entire Tape should be instantiated. TapePartitions may be BasedOn other StorageExtents or directly Realized on a PhysicalTape.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_LogicalDevice
|
+--CIM_StorageExtent
|
+--CIM_MediaPartition
|
+--CIM_TapePartition

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Capabilities and management of a TapePartition StorageExtent. Note that if a PhysicalTape is not partitioned, only a generic StorageExtent that represents the entire Tape should be instantiated. TapePartitions may be BasedOn other StorageExtents or directly Realized on a PhysicalTape.
UMLPackagePath | string | CIM::Device::StorageExtents
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
NameFormat | uint16 | 1
Description | string | TapePartition names are application specific.
ModelCorrespondence | string | CIM_StorageExtent.Name, CIM_StorageExtent.NameNamespace, CIM_StorageExtent.OtherNameFormat
Override | string | NameFormat
ValueMap | string | 0, 1
Values | string | Other, Unknown
NameNamespace | uint16 | 1
Description | string | TapePartition names are application specific.
MappingStrings | string | SPC.INCITS-T10| VPD 83, Association 0 | Identifier
ModelCorrespondence | string | CIM_StorageExtent.Name, CIM_StorageExtent.OtherNameNamespace, CIM_StorageExtent.NameFormat
Override | string | NameNamespace
ValueMap | string | 0, 1
Values | string | Other, Unknown
UnusedBlocks | uint64 |
Description | string | Number of blocks that are currently unused/not written on the Partition. When this number is multiplied by the BlockSize, inherited from StorageExtent, the total number of bytes available for writing can be computed.
Gauge | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Access | uint16 | CIM_StorageExtent
Allocatable | boolean | CIM_MediaPartition
Availability | uint16 | CIM_LogicalDevice
BlockSize | uint64 | CIM_StorageExtent
Bootable | boolean | CIM_MediaPartition
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
ConsumableBlocks | uint64 | CIM_StorageExtent
CreationClassName | string | CIM_LogicalDevice
DataOrganization | uint16 | CIM_StorageExtent
DataRedundancy | uint16 | CIM_StorageExtent
DeltaReservation | uint8 | CIM_StorageExtent
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
DeviceID | string | CIM_LogicalDevice
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
ErrorCleared | boolean | CIM_LogicalDevice
ErrorDescription | string | CIM_LogicalDevice
ErrorMethodology | string | CIM_StorageExtent
Extendable | boolean | CIM_MediaPartition
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
IsBasedOnUnderlyingRedundancy | boolean | CIM_StorageExtent
LastErrorCode | uint32 | CIM_LogicalDevice
MaxQuiesceTime | uint64 | CIM_LogicalDevice
Name | string | CIM_StorageExtent
NoSinglePointOfFailure | boolean | CIM_StorageExtent
NumberOfBlocks | uint64 | CIM_StorageExtent
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherNameFormat | string | CIM_StorageExtent
OtherNameNamespace | string | CIM_StorageExtent
PackageRedundancy | uint16 | CIM_StorageExtent
PowerManagementSupported | boolean | CIM_LogicalDevice
PowerOnHours | uint64 | CIM_LogicalDevice
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Primordial | boolean | CIM_StorageExtent
Purpose | string | CIM_StorageExtent
RequestedState | uint16 | CIM_EnabledLogicalElement
SequentialAccess | boolean | CIM_StorageExtent
Signature | string | CIM_MediaPartition
SignatureAlgorithm | string | CIM_MediaPartition
SignatureState | string | CIM_MediaPartition
Status | string | CIM_ManagedSystemElement
StatusInfo | uint16 | CIM_LogicalDevice
SystemCreationClassName | string | CIM_LogicalDevice
SystemName | string | CIM_LogicalDevice
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TotalPowerOnHours | uint64 | CIM_LogicalDevice
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AdditionalAvailability | uint16[] | CIM_LogicalDevice
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
ExtentStatus | uint16[] | CIM_StorageExtent
IdentifyingDescriptions | string[] | CIM_LogicalDevice
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherIdentifyingInfo | string[] | CIM_LogicalDevice
PowerManagementCapabilities | uint16[] | CIM_LogicalDevice
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
EnableDevice | uint32 | CIM_LogicalDevice
OnlineDevice | uint32 | CIM_LogicalDevice
QuiesceDevice | uint32 | CIM_LogicalDevice
RequestStateChange | uint32 | CIM_EnabledLogicalElement
Reset | uint32 | CIM_LogicalDevice
RestoreProperties | uint32 | CIM_LogicalDevice
SaveProperties | uint32 | CIM_LogicalDevice
SetPowerState | uint32 | CIM_LogicalDevice